SellAuth

Webhook Logs

Get Webhook Logs

Retrieves outgoing webhook and dynamic-delivery request logs for debugging.

GET
/v1/shops/{shopId}/webhook-logs

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
pageinteger
perPageinteger

Must be at least 1. Must not be greater than 100.

orderColumnstring
Value in: "id" | "created_at" | "response_status" | "duration_ms"
orderDirectionstring
Value in: "asc" | "desc"
sourcestring
Value in: "notification" | "dynamic_delivery"
eventstring
invoice_idstring
invoice_item_idinteger
successboolean
response_statusinteger
error_typestring
urlstring
response_bodystring
created_at_startstring

Must be a valid date.

created_at_endstring

Must be a valid date. Must be a date after created_at_start.

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/webhook-logs" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "page": 12,
    "perPage": 1,
    "orderColumn": "id",
    "orderDirection": "asc",
    "source": "dynamic_delivery",
    "event": "culpa",
    "invoice_id": "culpa",
    "invoice_item_id": 12,
    "success": false,
    "response_status": 12,
    "error_type": "culpa",
    "url": "http://www.adams.info/asperiores-accusamus-nihil-repellat-vero-omnis-voluptates-id-amet.html",
    "response_body": "culpa",
    "created_at_start": "2026-07-23T12:49:45",
    "created_at_end": "2084-07-01"
  }'

{
  "message": "Unauthenticated."
}